org.apache.poi.hssf.record

## Class FormatRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.FormatRecord

- All Implemented Interfaces:
    Duplicatable

      public final class FormatRecord
      extends StandardRecord

  Describes a number format -- those goofy strings like $(#,###)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormatRecord(int indexCode, java.lang.String fs)`
    `FormatRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FormatRecord` | `clone()` Deprecated.
    `FormatRecord` | `copy()`
    `protected int` | `getDataSize()`
    `java.lang.String` | `getFormatString()` get the format string
    `int` | `getIndexCode()` get the format index code (for built in formats)
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FormatRecord

          public FormatRecord(int indexCode,
                              java.lang.String fs)

    - #### FormatRecord

          public FormatRecord(RecordInputStream in)

  - ### Method Detail

    - #### getIndexCode

          public int getIndexCode()

      get the format index code (for built in formats)
      Returns:
        the format index code
      See Also:
        `InternalWorkbook`

    - #### getFormatString

          public java.lang.String getFormatString()

      get the format string
      Returns:
        the format string

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public FormatRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public FormatRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.